%define xfontdir        %{_datadir}/fonts
%define langlist        "bengali hindi gujarati tamil punjabi kannada malayalam oriya telugu"

Name:        lohit-fonts
Version:     2.2.1
Release:     2%{?dist}
Summary:     Free Indian truetype/opentype fonts

Group:       User Interface/X
License:     GPLv2
URL:         http://fedoraproject.org/wiki/Lohit
Source:      http://rbhalera.fedorapeople.org/released/lohit/lohit-fonts-%{version}.tar.gz
BuildArch:   noarch
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description 
This package provides Hindi, Bengali, Gujarati, Punjabi, Tamil,
Kannada, Malayalam, Oriya, Telugu TrueType/Opentype fonts.

# mk_pkg <name> <lang-code> 
%define mk_pkg() \
%package -n lohit-fonts-%1\
Summary:    Free %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") font\
Group:      User Interface/X \
# strictly we only need to provide bn, gu, hi, pa, ta \
Provides:   ttfonts-%2 = 1.8-2\
Obsoletes : ttfonts-%2 <= 1.8-1\
\
\
%description -n lohit-fonts-%1\
This package provides a free %(echo %1 | sed -e "s/\\(.*\\)/\\u\\1/") truetype/opentype font.\
\
%files -n lohit-fonts-%1\
%defattr(-, root, root, -)\
%doc COPYING README AUTHORS\
%dir %{xfontdir}/lohit-%1\
%{xfontdir}/lohit-%1/*.ttf\
\
%post -n lohit-fonts-%1 \
if [ -x %{_bindir}/fc-cache ]; then \
  %{_bindir}/fc-cache %{xfontdir} \
fi \
\
%postun -n lohit-fonts-%1 \
if [ "$1" = "0" ]; then \
  if [ -x %{_bindir}/fc-cache ]; then \
    %{_bindir}/fc-cache %{xfontdir} \
  fi \
fi 

%mk_pkg bengali bn 
%mk_pkg gujarati gu
%mk_pkg hindi hi
%mk_pkg kannada kn 
%mk_pkg malayalam ml 
%mk_pkg oriya or 
%mk_pkg punjabi pa
%mk_pkg tamil ta 
%mk_pkg telugu te

%prep
%setup -q -n lohit-fonts-%{version}

%build
echo "Nothing to do in Build."

%install
rm -rf $RPM_BUILD_ROOT

for i in "%{langlist}"
do
  install -d $RPM_BUILD_ROOT/%{xfontdir}/lohit-$i
  install -m 0644 $i/* $RPM_BUILD_ROOT/%{xfontdir}/lohit-$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Thu Apr 29 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.2.1-2
- Incremented release to fix the tagging issue.

* Tue Apr 29 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.2.1-1
- Resolved bugs (bugzilla.redhat.com):
- Bug 444559 Processed: [ml_IN] Wrong shape for conjuncts formed using 0D30
(xRa) in a word
- Bug 444561 Processed: [ml_IN] Conjuncts does not get combined with 0D30 to
form the pre based glyph
- Bug 444563: [ml_IN] When 0D2F is combined with a consonant and followed by
0D15, 0D2F joins with 0D15

* Tue Apr 08 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.2.0-1
- Resolved bugs (bugzilla.redhat.com):
- Bug 202400: [hi_IN] New codepoints/glyphs in Unicode 5.0
- Bug 205981: [hi_IN]The font file of Devanagari(lohit_hi.ttf) lacks the glyph
of U+0x0904
- Bug 206426: [hi_IN, mr_IN] Some Glyphs are missing and some GPOS shapes
should be more perfect - Priority - C
- Bug 239630: [hi_IN] the glyph of 0x0953 in lohit_hi.ttf is wrong.
- Bug 428427: [kn_IN][fonts-indic] - 0CB5+0CCA is wrongly rendering
- Updated the Source and Version.

* Thu Feb 28 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.9-1
- Bug 431035: [ml_IN] Glyph to be formed for nine consonants + 0D4D + 0D32 
- Bug 433437: [ml_IN] Rendering combination incorrect with 0D35
- Bug 433440: [ml_IN] Rendering combination incorrect with 0D2F
- Contributions from Hiran Venugopalan (xRa glyphs and few other)

* Fri Jan 25 2008 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.8-1
- Updated version according to upstream to incorporate the bug fixes.

* Fri Nov 16 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.6-1.fc8
- Updated version according to upstream.

* Mon Sep 24 2007 Parag Nemade <pnemade@redhat.com> - 2.1.5-3.fc8
- SPEC cleanups as suggested in review. 

* Mon Sep 17 2007 Rahul Bhalerao <rbhalera@redhat.com>
- Spec file update as part of review

* Tue Sep 11 2007 Rahul Bhalerao <rbhalera@redhat.com> - 2.1.5-1.fc8
- This package is derived from the fonts-indic package to reflect the upstream
  project name [RH #253158]
